# Agera 移动端项目模版

最近更新: 2019-9-12


## 前言

希望此项目能起到抛砖引玉的作用，能有更多小伙伴参与分享，提升大家的开发效率。



## 开发记录

完成了一级页面：首页、保险、服务、我的。二级页面：我的保单、各种组件示例、热更新示例，投保流程示例。
原生组件，常用功能模块示例持续更新中。

### 已完成

命令行工具

#### git管理模版
创建App
新建页面

#### APP模版

redux-persist

navigation redux

theme

路由跳转传参

屏幕宽度适配

状态栏高度适配

App字体大小控制

热更新升级

组件示例

mock

validate

decorator

HomePage

UserPage

ServicePage

InsureList

Insure config

ProductDetail


### 待开发

ReceiptPage

PaymentPage

OrderList

TrainPage

Achievement

Setting

Login

原生webview

原生启动图

原生相册、拍照

原生ocr

原生人脸识别

原生签名

嵌入太平头条、健康讲堂、祝福卡

导入 邀请有礼、健步行、周周乐


## 依赖库

```
    "axios": "^0.18.0", //网络请求
    "lodash": "^4.17.11", //工具类
    "react": "16.8.3",    // RN  支持react hooks
    "react-native": "0.59.5", // 新版RN
    "lottie-react-native": "^2.6.1", // 原生动画
    "react-native-fast-image": "^6.0.3", //图片缓存
    "react-native-device-info": "^2.1.3", // 设备信息
    "react-native-elements": "^1.1.0", // 标准基础组件库
    "react-native-gesture-handler": "^1.1.0", // 手势
    "react-native-update-mutlirn-hg": "^3.1.1",  // 热更新
    "react-native-vector-icons": "^6.4.2",  // 矢量icon
    "react-navigation": "^3.9.1",  // 新版路由导航
    "react-native-image-header-scroll-view": "^0.10.3", // 图片头下拉列表
    "react-native-largelist-v3": "^3.0.14", // 长列表下拉高性能
    "react-native-spring-scrollview": "^2.0.22", // 长列表下拉scrollview
    "react-navigation-redux-helpers": "^3.0.2", //路由 redux支持
    "react-native-linear-gradient": "^2.5.4", //渐变色
    "react-native-modal": "^11.1.0", // 基础浮窗
    "react-native-reanimated": "^1.1.0", // 简单动画
    "react-native-root-toast": "^3.1.2", // 原生toast
    "react-native-super-grid": "^3.0.7", // 九宫格
    "react-native-svg": "^9.5.1", // svg
    "react-native-swiper": "^1.5.14", // 轮播
    "react-native-tab-view": "^2.7.1", // tab切换
    "react-redux": "^7.0.3", // redux
    "redux": "^4.0.1",    // redux
    "redux-persist": "^5.10.0",  // redux 持久化（asyncStore）
    "remote-redux-devtools": "^0.5.16"  // redux debug工具
    "eslint": "^5.16.0",  //语法检查

```



## 如何使用

使用 agera-cli buildApp 初始化项目后，
安装依赖

```
yarn install
```


## 运行项目

### iOS

xcode打开ios目录下 .xcodeproj

### Android

Android studio打开android目录下 build.gradle


## 页面简述

首页可点击tab切换，分为框架、原生、JS。

### 框架

框架使用示例：

路由导航
主题切换

### 原生组件

原生组件使用示例：

拍照、相册
上传
百度ocr
百度地图
微信分享
长列表
图片缓存
启动页
webview

### JS组件

JS组件使用示例：
按钮
单选
多选
弹框
选择器


持续更新中...

## License
*MIT*


